//importing the d3 inbuilt functions for geography of the map
import { geoEqualEarth, geoMercator, geoPath } from 'd3';

//defining the projections of the map
const projection = geoMercator()

//function of the landmass markings on the map with corresponding to the spheare and the strokes inside the landmasses.
export const Marks = ({ data: { laen, interiors } }) => {
  const path = geoPath(projection.fitExtent([[20, 20], [1000, 350]], laen))
  return (
  <g className="marks">
     {laen.features.map((feature) => (
      <path
        className={'feature'}
        d={path(feature)}
      />
    ))}
    <path
      className={'interiors'}
      d={path(interiors)}
    />
  </g>
)};
