//importing the libraries for the country map display
import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

////defining the width of the map
const width = 860;
//defining the height of the map
const height = 600;

//function call for the usedata to get the data from the file
const App = () => {
  const data = useData();
  //if the data is not in the file, the below message would appear on screen
  if (!data) {
    return <pre>Loading...</pre>;
  } 
  //assigning the svg file dimentions and data
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};
//accessing the element frommthe root id binded
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
