//importing of react, d3 and topojson files 
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson'

//Linking the topojson URL to the code for the data retrieval
const jsonUrl = 'https://gist.githubusercontent.com/patrictysk/18eeed08e299ff488727f8dbaca4652f/raw/0f4996640359df70e01e6c5ca80314b4db427816/simplified_swedish_counties.json';

//Data retreival of the map from the url and setting the state of it
export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data)
  
  //marking the land constant in the data provided on the map designed
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  //the data received is returned to form the display of the country map with landmass.
  return data;
};